<svg xmlns="http://www.w3.org/2000/svg"
   viewBox="0 0 24 24"
   class="play-icon"
   height="24"
   width="24">
  <rect fill="#ddd"
    class:lighten="lighten"
    y="6"
    x="8"
    height="12"
    width="10" />
  <path fill="#111"
      class:lighten="lighten"
     d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-2 14.5v-9l6 4.5-6 4.5z" />
</svg>


<style>
  .play-icon {
    border-radius: 100%;
    height: 3em;
    width: 3em;
  }

  rect, path {
    transition: fill 0.2s ease-out;
  }

  path.lighten {
    fill: #000;
  }

  rect.lighten {
    fill: #fff;
  }
</style>
